const { defineConfig } = require('@vue/cli-service')
module.exports = {
	configureWebpack: config => {
		const plugins = []
		// 利用环境变量进行判断是否是生产环境production
		if (process.env.NODE_ENV === 'production') {
			config.externals = {
				vue: 'vue',
        'element-ui': 'ElementUI'
			}
		}
		// 然后将新增externals选项合并至plugins配置中
		config.plugins = [...config.plugins, ...plugins]
	},

	chainWebpack: config => {
		config.module
			.rule('js')
			.include.add(__dirname + 'packages') // 注意这里需要绝对路径，所以要拼接__dirname
			.end()
			.use('babel')
			.loader('babel-loader')
			.tap(options => {
				// 修改它的选项...
				return options
			})
	},
	...defineConfig({
		transpileDependencies: true,
	}),
}
